View Issue Details

IDProjectCategoryView StatusLast Update
0028853LazarusLCLpublic2016-11-27 19:59
ReporterwpAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5 (SVN)Product Build 
Target Version1.6Fixed in Version1.6 
Summary0028853: Publish property Alignment of TRadioButton
DescriptionTRadiobutton has a public property "Alignment" which allows to position the label to the left of the radiobutton. Being a public property it can be changed only at run-time. In Delphi, this property is published, i.e. can be modified at designtime.

In the related component TCheckbox, "Alignment" is published as well.

The attached patch publishes this property.
Additional InformationIn a forum discussion (http://forum.lazarus.freepascal.org/index.php/topic,29988.msg190312.html#msg190312), user zeljko mentioned that repositioning of the label with respect to the radiobutton/checkbox may work only in Windows.
TagsNo tags attached.
Fixed in Revisionr50061
LazTarget1.6
Widgetset
Attached Files
  • stdctrls.pp.patch (390 bytes)
    Index: lcl/stdctrls.pp
    ===================================================================
    --- lcl/stdctrls.pp	(revision 50045)
    +++ lcl/stdctrls.pp	(working copy)
    @@ -1399,6 +1399,7 @@
         constructor Create(TheOwner: TComponent); override;
       published
         property Align;
    +    property Alignment;
         property Anchors;
         property AutoSize default True;
         property BidiMode;
    
    stdctrls.pp.patch (390 bytes)
  • stdctrls-v2.patch (2,521 bytes)
    Index: lcl/interfaces/gtk2/issues.xml
    ===================================================================
    --- lcl/interfaces/gtk2/issues.xml	(revision 50051)
    +++ lcl/interfaces/gtk2/issues.xml	(working copy)
    @@ -3,17 +3,22 @@
     	<widgetset name="gtk2">
     		<issue name="TCheckBox.Alignment">
     			<short>CheckBox Alignment property is not supported</short>
    +			<descr>Use BiDiMode = bdRightToLeft as a workaround</descr>
     		</issue>
    -		<issue name="TComboBox.DropDownCount">
    +		<issue name="TRadioButton.Alignment">
    +			<short>RadioButton Alignment property is not supported</short>
    +			<descr>Use BiDiMode = bdRightToLeft as a workaround</descr>
    +		</issue>
    +        <issue name="TComboBox.DropDownCount">
     			<short>Combo box DropDownCount property is not supported</short>
     		</issue>
     		<issue name="TEdit.HideSelection">
     			<short>HideSelection property is not supported</short>
     		</issue>
    -	        <issue name="TForm.BorderStyle">
    -	        	<short>Not supported for nested Forms</short>
    -	        	<descr>If you put a form onto another it will have no window borders or title</descr>
    -	        </issue>
    +		<issue name="TForm.BorderStyle">
    +			<short>Not supported for nested Forms</short>
    +			<descr>If you put a form onto another it will have no window borders or title</descr>
    +		</issue>
     		<issue name="TMemo.HideSelection">
     			<short>HideSelection property is not supported</short>
     		</issue>
    Index: lcl/interfaces/qt/issues.xml
    ===================================================================
    --- lcl/interfaces/qt/issues.xml	(revision 50051)
    +++ lcl/interfaces/qt/issues.xml	(working copy)
    @@ -3,7 +3,12 @@
     	<widgetset name="qt">
     		<issue name="TCheckBox.Alignment">
     			<short>CheckBox Alignment property is not supported</short>
    +			<descr>Use BiDiMode = bdRightToLeft as a workaround</descr>
     		</issue>
    +		<issue name="TRadioButton.Alignment">
    +			<short>RadioButton Alignment property is not supported</short>
    +			<descr>Use BiDiMode = bdRightToLeft as a workaround</descr>
    +		</issue>
     		<issue name="TEdit.HideSelection">
     			<short>HideSelection property is not supported</short>
     		</issue>
    Index: lcl/stdctrls.pp
    ===================================================================
    --- lcl/stdctrls.pp	(revision 50051)
    +++ lcl/stdctrls.pp	(working copy)
    @@ -1399,6 +1399,7 @@
         constructor Create(TheOwner: TComponent); override;
       published
         property Align;
    +    property Alignment;
         property Anchors;
         property AutoSize default True;
         property BidiMode;
    
    stdctrls-v2.patch (2,521 bytes)

Activities

wp

2015-10-14 11:48

developer  

stdctrls.pp.patch (390 bytes)
Index: lcl/stdctrls.pp
===================================================================
--- lcl/stdctrls.pp	(revision 50045)
+++ lcl/stdctrls.pp	(working copy)
@@ -1399,6 +1399,7 @@
     constructor Create(TheOwner: TComponent); override;
   published
     property Align;
+    property Alignment;
     property Anchors;
     property AutoSize default True;
     property BidiMode;
stdctrls.pp.patch (390 bytes)

Bart Broersma

2015-10-14 15:26

developer   ~0086568

Can you test other widgetsets?
If it doesn'work there then can you also patch the issues.xml files for those widgetset (like was done for TCheckBox.Alignment)?

wp

2015-10-14 17:52

developer   ~0086578

I checked qt and gtk2 (I don't have access to others), and in fact the Alignment property is not working. I added that to the corresponding issues.xml and packed everything (stdctrls + issues.xml) into a new patch, stdctrls-v2.

Bart Broersma

2015-10-14 18:26

developer   ~0086580

Last edited: 2015-10-14 18:26

View 2 revisions

I think you forgot to attach the new patch?

wp

2015-10-14 18:32

developer  

stdctrls-v2.patch (2,521 bytes)
Index: lcl/interfaces/gtk2/issues.xml
===================================================================
--- lcl/interfaces/gtk2/issues.xml	(revision 50051)
+++ lcl/interfaces/gtk2/issues.xml	(working copy)
@@ -3,17 +3,22 @@
 	<widgetset name="gtk2">
 		<issue name="TCheckBox.Alignment">
 			<short>CheckBox Alignment property is not supported</short>
+			<descr>Use BiDiMode = bdRightToLeft as a workaround</descr>
 		</issue>
-		<issue name="TComboBox.DropDownCount">
+		<issue name="TRadioButton.Alignment">
+			<short>RadioButton Alignment property is not supported</short>
+			<descr>Use BiDiMode = bdRightToLeft as a workaround</descr>
+		</issue>
+        <issue name="TComboBox.DropDownCount">
 			<short>Combo box DropDownCount property is not supported</short>
 		</issue>
 		<issue name="TEdit.HideSelection">
 			<short>HideSelection property is not supported</short>
 		</issue>
-	        <issue name="TForm.BorderStyle">
-	        	<short>Not supported for nested Forms</short>
-	        	<descr>If you put a form onto another it will have no window borders or title</descr>
-	        </issue>
+		<issue name="TForm.BorderStyle">
+			<short>Not supported for nested Forms</short>
+			<descr>If you put a form onto another it will have no window borders or title</descr>
+		</issue>
 		<issue name="TMemo.HideSelection">
 			<short>HideSelection property is not supported</short>
 		</issue>
Index: lcl/interfaces/qt/issues.xml
===================================================================
--- lcl/interfaces/qt/issues.xml	(revision 50051)
+++ lcl/interfaces/qt/issues.xml	(working copy)
@@ -3,7 +3,12 @@
 	<widgetset name="qt">
 		<issue name="TCheckBox.Alignment">
 			<short>CheckBox Alignment property is not supported</short>
+			<descr>Use BiDiMode = bdRightToLeft as a workaround</descr>
 		</issue>
+		<issue name="TRadioButton.Alignment">
+			<short>RadioButton Alignment property is not supported</short>
+			<descr>Use BiDiMode = bdRightToLeft as a workaround</descr>
+		</issue>
 		<issue name="TEdit.HideSelection">
 			<short>HideSelection property is not supported</short>
 		</issue>
Index: lcl/stdctrls.pp
===================================================================
--- lcl/stdctrls.pp	(revision 50051)
+++ lcl/stdctrls.pp	(working copy)
@@ -1399,6 +1399,7 @@
     constructor Create(TheOwner: TComponent); override;
   published
     property Align;
+    property Alignment;
     property Anchors;
     property AutoSize default True;
     property BidiMode;
stdctrls-v2.patch (2,521 bytes)

wp

2015-10-14 18:33

developer   ~0086581

Sorry...

Bart Broersma

2015-10-14 23:50

developer   ~0086590

Applied. Thanks.

wp

2015-10-15 14:02

developer   ~0086607

Thanks

Issue History

Date Modified Username Field Change
2015-10-14 11:48 wp New Issue
2015-10-14 11:48 wp File Added: stdctrls.pp.patch
2015-10-14 15:26 Bart Broersma Note Added: 0086568
2015-10-14 15:26 Bart Broersma Assigned To => Bart Broersma
2015-10-14 15:26 Bart Broersma Status new => feedback
2015-10-14 17:52 wp Note Added: 0086578
2015-10-14 17:52 wp Status feedback => assigned
2015-10-14 18:26 Bart Broersma Note Added: 0086580
2015-10-14 18:26 Bart Broersma Status assigned => feedback
2015-10-14 18:26 Bart Broersma Note Edited: 0086580 View Revisions
2015-10-14 18:32 wp File Added: stdctrls-v2.patch
2015-10-14 18:33 wp Note Added: 0086581
2015-10-14 18:33 wp Status feedback => assigned
2015-10-14 23:50 Bart Broersma Fixed in Revision => r50061
2015-10-14 23:50 Bart Broersma LazTarget - => 1.4.6
2015-10-14 23:50 Bart Broersma Note Added: 0086590
2015-10-14 23:50 Bart Broersma Status assigned => resolved
2015-10-14 23:50 Bart Broersma Fixed in Version => 1.4.6
2015-10-14 23:50 Bart Broersma Resolution open => fixed
2015-10-14 23:50 Bart Broersma Target Version => 1.4.6
2015-10-15 14:02 wp Note Added: 0086607
2015-10-15 14:02 wp Status resolved => closed
2016-11-27 19:58 Bart Broersma LazTarget 1.4.6 => 1.6
2016-11-27 19:58 Bart Broersma Status closed => assigned
2016-11-27 19:58 Bart Broersma Resolution fixed => reopened
2016-11-27 19:58 Bart Broersma Target Version 1.4.6 => 1.6
2016-11-27 19:58 Bart Broersma Status assigned => resolved
2016-11-27 19:58 Bart Broersma Resolution reopened => fixed
2016-11-27 19:59 Bart Broersma Status resolved => closed
2016-11-27 19:59 Bart Broersma Fixed in Version 1.4.6 => 1.6